# -*- coding: utf-8 -*-
"""
Created on Mon Aug 17 19:17:55 2015

@author: Sven
"""

import ctypes


def montecarlo(linksunten,rechtsoben,n_rand):
    '''Monte-Carlo-Suche, die mittels ctypes auf C++-Funktionen zugreift'''
    lib = ctypes.cdll.LoadLibrary('MonteCarloDLL.dll')
    
    n = ctypes.c_int(n_rand)
    lu = (ctypes.c_float*2)(linksunten[0],linksunten[1])
    ro = (ctypes.c_float*2)(rechtsoben[0],rechtsoben[1])
    
    MonteCarlo = lib.MonteCarlo
    MonteCarlo.argtypes = ()
    MonteCarlo.restype = ctypes.POINTER(ctypes.c_float)
    result = MonteCarlo(lu,ro,n)
    return result[0],result[1],result[2]