# -*- coding: utf-8 -*-
"""
Created on Mon Aug 17 19:16:53 2015

@author: Sven
"""

import numpy as np

def montecarlo(linksunten, rechtsoben, n, func):
    '''Monte-Carlo ohne Schleife'''
    # Suchgebiet
    xu = linksunten[0]
    yu = linksunten[1]
    xo = rechtsoben[0]
    yo = rechtsoben[1]
    d_x = xo-xu
    d_y = yo-yu
    points = [np.add(xu, np.multiply(d_x,np.random.rand(n))) , np.add(yu, np.multiply(d_y,np.random.rand(n)))]
    z = func(points[0], points[1])
    minimum = np.min(z)
    index = np.where(z==minimum)
    return points[0][index],points[1][index],minimum


def ackley(x, y):
    '''Ackley'''
    a = np.multiply(-20, np.exp(np.multiply(-0.2 , np.sqrt( np.divide( np.add(np.power(x,2) ,np.power(y,2)), 2  ) ) ) ))
    b = np.multiply(-1.0,np.exp( np.divide(   np.add(np.cos(np.multiply(2*np.pi,x)), np.cos(np.multiply(2*np.pi,y) )),2)))
    z = np.add(a,np.add(b, np.add(20, np.exp(1))))
    return z