// MonteCarloDLL.cpp : Definiert die exportierten Funktionen fr die DLL-Anwendung.
//

#include "stdafx.h"
#include "MonteCarloDLL.h"
#include <cmath>
#include <cstdlib>
#include "time.h"

# define M_PI           3.14159265358979323846  /* pi */


namespace SearchFunc
{
	/*Funktion berechnet aus zwei Float-Werten 
	den Rckgabewert fr die Ackley-Funktion.*/
	float ackley(float x, float y){
		float z = 0;
		float a = 0;
		float b = 0;
		a = -20 * exp(-0.2*sqrt((pow(x,2) + pow(y,2))/2));
		b = -1 * exp((cos(2*M_PI*x) + cos(2*M_PI*y))/2);
		z = a + b + 20.0 + exp(1);
		return z;
	}

	float* MonteCarlo(float* linksunten, float* rechtsoben, int n){
		srand (  (unsigned int) time(NULL) );									// Random-Funktion initialisieren
		// Werte initalisieren
		float x = linksunten[0] + ((float)(rand())) / (RAND_MAX / (rechtsoben[0] - linksunten[0]) + 1);											
		float y = linksunten[1] + ((float)(rand())) / (RAND_MAX / (rechtsoben[1] - linksunten[1]) + 1);
		float z = ackley(x, y);
	
		static float minimum[3] = {x,y,z};										// und ersten Punkt als erstes Minimum festlegen

		for(int i = 0;i<n;i++){
			// Zufallszahlen im Suchbereich erzeugen
			x = linksunten[0] + ((float)(rand())) / (RAND_MAX / (rechtsoben[0] - linksunten[0]) + 1);
			y = linksunten[1] + ((float)(rand())) / (RAND_MAX / (rechtsoben[1] - linksunten[1]) + 1);

			z = ackley(x, y);													// z-Komponente berechnen

			// auf Minimum testen
			if(z < minimum[2]){
				minimum[0] = x;
				minimum[1] = y;
				minimum[2] = z;
			}
		}
		return minimum;
	}
}